Page MenuHome

Zoom into Vertex Paint mode and symmetry activated, it focuses the camera on the opposite side.
Closed, ResolvedPublic

Description

System Information
Operating system: Windows-10-10.0.17763 64 Bits
Graphics card: GeForce GTX 1050/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 430.86

Blender Version
Broken: version: 2.81 (sub 14), branch: master, commit date: 2019-10-10 23:31, hash: rBf9cc51788bd6
Worked: (optional)

Short description of error
When painting vertice colors with symmetry, first is painted the stroke side, and after the symmetrical side. In principle it is correct, but when zooming pressing the point on the numeric keypad, Blender centers the view on the opposite side to the one being painted.
This does not happen in Sculpt Mode.

Exact steps for others to reproduce the error
Add a monkey.
Enter Vertex Paint mode.
Activate the symmetry.
Paint one side.
Zoom with the numeric keypad point.

Details

Differential Revisions
D6161: Fix T70725: Frame Symmetry Stroke
Type
Bug

Event Timeline

Germano Cavalcante (mano-wii) lowered the priority of this task from Needs Triage by Developer to Confirmed, Medium.Oct 14 2019, 3:47 PM

I can confirm.
With X-axis symmetry, when painting on one side of the mesh and pressing "." to zoom in to the drawn surface, the focus of the frame will be the other side of the mesh.
I don't know if this problem will be addressed when replacing the paint vertex system with the sculpt one.
@Jeroen Bakker (jbakker), can you take a look?

Jeroen Bakker (jbakker) closed this task as Resolved.Nov 1 2019, 3:13 PM

Closed by committing D6161